### Hierarchy

- SearchRequestRepositoryImpl

### Implements

- SearchRequestRepository

## Index

### Constructors

- constructor

### Methods

- clone
- create
- deleteById
- getSearchRequestByOwner
- getSearchRequestByOwnerAndId
- getSearchRequestByPage
- getSearchRequestsByOwnerAndTag
- update
- updateBatch

## Constructors

### constructor

- new SearchRequestRepositoryImpl(transport: HttpTransport): SearchRequestRepositoryImpl

- - Defined in repository/search/SearchRequestRepositoryImpl.ts:12

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns SearchRequestRepositoryImpl

## Methods

### clone

- clone(owner: string, searchRequestIds: Array<number>): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.clone

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:43

  #### Parameters

  - ##### owner: string

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Array<SearchRequest>>

### create

- create(owner: string, searchRequest: SearchRequest): Promise<SearchRequest>

- Implementation of SearchRequestRepository.create

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:17

  #### Parameters

  - ##### owner: string

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### deleteById

- deleteById(owner: string, id: number): Promise<number>

- Implementation of SearchRequestRepository.deleteById

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:51

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<number>

### getSearchRequestByOwner

- getSearchRequestByOwner(owner: string): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.getSearchRequestByOwner

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:66

  #### Parameters

  - ##### owner: string

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestByOwnerAndId

- getSearchRequestByOwnerAndId(owner: string, id: number): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.getSearchRequestByOwnerAndId

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:59

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestByPage

- getSearchRequestByPage(page?: number, size?: number): Promise<Page<SearchRequest>>

- Implementation of SearchRequestRepository.getSearchRequestByPage

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:80

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<SearchRequest>>

### getSearchRequestsByOwnerAndTag

- getSearchRequestsByOwnerAndTag(owner: string, tag: string): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.getSearchRequestsByOwnerAndTag

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:73

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### update

- update(owner: string, id: number, searchRequest: SearchRequest): Promise<SearchRequest>

- Implementation of SearchRequestRepository.update

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:25

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### updateBatch

- updateBatch(owner: string, searchRequests: Array<SearchRequest>): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.updateBatch

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:33

  #### Parameters

  - ##### owner: string

  - ##### searchRequests: Array<SearchRequest>

  #### Returns Promise<Array<SearchRequest>>

Generated using TypeDoc